<?php
namespace Ep\TecDoc;

use Laminas\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'tecdoc.brands'       => Plugin\Brands::class,
            'tecdoc.category'     => Plugin\TecDocCategory::class,
            'tecdoc.translations' => Plugin\Translations::class,
            'tecdoc.images' => Plugin\TecDocImages::class,
            'tecdoc.search' => Plugin\TecDocSearch::class,
            'tecdoc.generic_article_id' => Plugin\GenericArticleId::class,
        ],

        'factories' => [
            Plugin\Brands::class         => Plugin\AbstractTecDocPluginFactory::class,
            Plugin\TecDocCategory::class => Plugin\TecDocPluginFactory::class,
            Plugin\Translations::class   => InvokableFactory::class,
            Plugin\GenericArticleId::class => Plugin\AbstractTecDocPluginFactory::class,
            Plugin\TecDocImages::class => Plugin\TecDocImagesFactory::class,
            Plugin\TecDocSearch::class => Plugin\TecDocPluginFactory::class,
            Plugin\TecDocProduct::class => Plugin\TecDocPluginFactory::class,
        ],
    ],
];
