<?php
declare(strict_types=1);

namespace Ep\TecDoc\Middleware\VehicleSelect;

use Ep\TecDoc\TecDoc;
use Laminas\Diactoros\Response\JsonResponse;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

/**
 * Class Vehicle
 *
 * @package Ep\TecDoc\Middleware\VehicleSelect
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/
 */
final class Vehicle extends Vehicles
{
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {
        $path = $request->getUri()->getPath();

        if (!preg_match('#/(\d+)$#', $path, $matches)) {
            throw new \RuntimeException('Neispravan ID vozila.');
        }

        $vehicleId = intval($matches[1]);
        $vehicles = $this->tecdoc->getVehicleByIds4([$vehicleId]);
        $extracted = $this->extractRecords($vehicles);

        return new JsonResponse(
            $extracted[0] ?? null
        );
    }
}