<?php
declare(strict_types=1);

namespace Ep\TecDoc\Plugin;

/**
 * Class GenericArticleId
 *
 * @package Ep\TecDoc\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/ep-tecdoc
 */
final class GenericArticleId extends AbstractTecDocPlugin
{
    public function attach(): void
    {
        add_filter('get_post_metadata', [$this, 'get_generic_article_id'], 10, 3);
    }

    public function get_generic_article_id($null, $object_id, $meta_key)
    {
        if ($meta_key === '_generic_article_id') {
            $article_key = get_post_meta($object_id, '_tecdoc_key', true);
            global $wp_query;
            $tecdocArticle = null;

            if (isset($wp_query->tecdocArticles) && is_array($wp_query->tecdocArticles)) {
                foreach ($wp_query->tecdocArticles as $article) {
                    if ($article['key'] === $tecdocKey) {
                        $tecdocArticle = $article;
                        break;
                    }
                }
            }

            if ($tecdocArticle !== null) {

            }
            if ($genericArticleId = $this->tecdoc->getGenericArticleId($article_key)) {
                return [$genericArticleId];
            }
        }

        return $null;
    }
}
