<?php
namespace Ep\TecDoc\Plugin;

use Ep\TecDoc\TecDocService;
use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class TecDocCategoryFactory
 *
 * @package Ep\TecDoc\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/tecdoc
 */
final class TecDocPluginFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return object
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $tecdoc = $container->get(TecDocService::class);
        return new $requestedName($tecdoc);
    }
}
